Subject: bug#13937: 24.3.50; `make-frame' broken for `fullscreen' parameter on MS Windows

From: "Drew Adams" <[email-masked]>
Date: Wed, 13 Mar 2013 11:11:47 -0700

> > A new frame is created with the same content (good).
> > However:
> >  
> > 1. There is no minibuffer shown.
> > 2. The frame is not maximized.
> 
> Fixed in trunk revision 112038.  Thanks.

Thanks; that was quick.

> > Nevertheless, go to eob (put point after `(frame-parameters)'), and
> > enter this (there will be no echo, so type carefully):
> >  
> > M-x pp-eval-last-sexp RET
> >  
> > You will see the frame parameters for the created frame.  
> > Among them you will see this parameter entry, which is correct
> > (though the frame is NOT maximized): (fullscreen . maximized).
> >  
> > And you will see this entry (or similar):
> > (minibuffer . #<window 03B1A3F8 on  *Minibuf-0*>)
> > 
> > That is not correct wrt the arg to `make-frame'.
> 
> This part I don't get: why do you think this is incorrect?

The arg passed to `make-frame' was t.

Now perhaps you will say that it is correct that it substitutes a window for t
in the actual value used.  I can't speak to that (not documented AFAICT).

But the bug here is that there is (was) no minibuffer visible, even though
(minibuffer . t) was included in the parameters passed to `make-frame'.

> > It seems that multiple things are broken, here.
> 
> Only one thing was broken, actually: the new frame dimensions were
> stored, but the frame was not being resized.

Well two things were broken visibly: the frame size and lack of visible
minibuffer.  Whether those are both due to the same underlying cause, I don't
know.

I guess you've understood this, and that everything has now been fixed.  If
there is still some confusion about the symptoms, please let me know.